[pkg-kolab] r483 - kolab-resource-handlers/trunk/debian

Peter Eisentraut petere at alioth.debian.org
Sat Oct 28 11:54:16 CEST 2006


Author: petere
Date: 2006-10-28 11:54:16 +0200 (Sat, 28 Oct 2006)
New Revision: 483

Added:
   kolab-resource-handlers/trunk/debian/links
Modified:
   kolab-resource-handlers/trunk/debian/apache2-kolab.conf
   kolab-resource-handlers/trunk/debian/changelog
   kolab-resource-handlers/trunk/debian/control
   kolab-resource-handlers/trunk/debian/postinst
Log:
* Automate Apache configuration
* Better integration with Apache setup in kolab-webadmin
* Added XS-X-Vcs-Svn field
* Restricted permissions on configuration files containing passwords
* Create default SSL certificate on package installation

Modified: kolab-resource-handlers/trunk/debian/apache2-kolab.conf
===================================================================
--- kolab-resource-handlers/trunk/debian/apache2-kolab.conf	2006-10-28 09:50:22 UTC (rev 482)
+++ kolab-resource-handlers/trunk/debian/apache2-kolab.conf	2006-10-28 09:54:16 UTC (rev 483)
@@ -20,14 +20,6 @@
 		Allow from all
 	</Directory>
 
-	#Alias + options admin frontend
-	Alias /admin /usr/share/kolab-webadmin/admin
-	<Directory /usr/share/kolab-webadmin/admin>
-		Options Indexes FollowSymLinks 
-		Order allow,deny
-		Allow from all
-	</Directory>
-	
 	#Change this for your documentroot directory
 	DocumentRoot "/var/www"
 	
@@ -57,5 +49,9 @@
 	SetEnvIf User-Agent ".*MSIE.*" \
 	         nokeepalive ssl-unclean-shutdown \
 	         downgrade-1.0 force-response-1.0
-	
+
+
+	# Pull in kolab-webadmin configuration if installed
+	Include /etc/kolab-webadmin/apache*.conf
+
 </VirtualHost>                                  

Modified: kolab-resource-handlers/trunk/debian/changelog
===================================================================
--- kolab-resource-handlers/trunk/debian/changelog	2006-10-28 09:50:22 UTC (rev 482)
+++ kolab-resource-handlers/trunk/debian/changelog	2006-10-28 09:54:16 UTC (rev 483)
@@ -1,3 +1,13 @@
+kolab-resource-handlers (0.3.9-20060811-2) unstable; urgency=low
+
+  * Automate Apache configuration
+  * Better integration with Apache setup in kolab-webadmin
+  * Added XS-X-Vcs-Svn field
+  * Restricted permissions on configuration files containing passwords
+  * Create default SSL certificate on package installation
+
+ -- Peter Eisentraut <petere at debian.org>  Wed, 25 Oct 2006 23:24:49 +0200
+
 kolab-resource-handlers (0.3.9-20060811-1) unstable; urgency=low
 
   * New upstream release

Modified: kolab-resource-handlers/trunk/debian/control
===================================================================
--- kolab-resource-handlers/trunk/debian/control	2006-10-28 09:50:22 UTC (rev 482)
+++ kolab-resource-handlers/trunk/debian/control	2006-10-28 09:54:16 UTC (rev 483)
@@ -5,10 +5,11 @@
 Uploaders: Noèl Köthe <noel at debian.org>, Steffen Joeris <steffen.joeris at skolelinux.de>, Peter Eisentraut <petere at debian.org>
 Build-Depends: debhelper (>= 4), dpatch
 Standards-Version: 3.7.2
+XS-X-Vcs-Svn: svn://svn.debian.org/pkg-kolab/kolab-resource-handlers/
 
 Package: kolab-resource-handlers
 Architecture: all
-Depends: php-pear, php-net-smtp, php-net-socket, horde3, php-mail-mime, php-net-imap, libapache2-mod-php4, php4-ldap, php4-domxml
+Depends: php-pear, php-net-smtp, php-net-socket, horde3, php-mail-mime, php-net-imap, libapache2-mod-php4, php4-ldap, php4-domxml, ssl-cert
 Description: Kolab free/busy scripts
  This package contains scripts for the free/busy feature of the Kolab
  groupware server.

Added: kolab-resource-handlers/trunk/debian/links
===================================================================
--- kolab-resource-handlers/trunk/debian/links	2006-10-28 09:50:22 UTC (rev 482)
+++ kolab-resource-handlers/trunk/debian/links	2006-10-28 09:54:16 UTC (rev 483)
@@ -0,0 +1 @@
+etc/kolab/apache2-kolab.conf etc/apache2/sites-available/kolab

Modified: kolab-resource-handlers/trunk/debian/postinst
===================================================================
--- kolab-resource-handlers/trunk/debian/postinst	2006-10-28 09:50:22 UTC (rev 482)
+++ kolab-resource-handlers/trunk/debian/postinst	2006-10-28 09:54:16 UTC (rev 483)
@@ -6,28 +6,38 @@
 	chown www-data:root /var/lib/kolab/freebusy-cache
 }
 
-enable_apache_mods() {
-	if ! [ -e /etc/apache2/mods-enabled/rewrite.load ] ; then
-		echo "Enable Apache2 module: rewrite"
-		/usr/sbin/a2enmod rewrite
+fixperms() {
+	chmod 640 /etc/kolab/freebusy.conf /etc/kolab/resmgr.conf
+	chown www-data:www-data /etc/kolab/freebusy.conf /etc/kolab/resmgr.conf
+}
+
+setup_cert() {
+	cert_file=$(sed -n -r 's/^[[:space:]]*SSLCertificateFile[[:space:]]+([^[:space:]]+)$/\1/p' /etc/kolab/apache2-kolab.conf)
+	if [ ! -e "$cert_file" ]; then
+		mkdir -p $(dirname $cert_file)
+		make-ssl-cert /usr/share/ssl-cert/ssleay.cnf "$cert_file"
 	fi
-	if ! [ -e /etc/apache2/mods-enabled/ssl.load ] ; then
-		echo "Enable Apache2 module: ssl"
-		/usr/sbin/a2enmod ssl
+}
+
+configure_apache() {
+	for mod in rewrite ssl php4 ldap; do
+		a2enmod $mod >/dev/null
+	done
+
+	a2ensite kolab >/dev/null
+
+	if command -v invoke-rc.d >/dev/null 2>&1; then
+		invoke-rc.d apache2 force-reload || :
+	else
+		[ -x /etc/init.d/apache2 ] && /etc/init.d/apache2 force-reload || :
 	fi
-	if ! [ -e /etc/apache2/mods-enabled/php4.load ] ; then
-		echo "Enable Apache2 module: php4"
-		/usr/sbin/a2enmod php4
-	fi
-	if ! [ -e /etc/apache2/mods-enabled/ldap.load ] ; then
-		echo "Enable Apache2 module: ldap"
-		/usr/sbin/a2enmod ldap
-	fi
 }
 
 if [ "$1" = configure ]; then
 	create_cache
-	enable_apache_mods
+	fixperms
+	setup_cert
+	configure_apache
 fi
 
 #DEBHELPER#




More information about the pkg-kolab-devel mailing list